<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "cpn_software_update_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "CpnSoftwareUpdateLog".
 *
 * Columns in table "cpn_software_update_log" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $username
 * @property string $file_name
 * @property string $environment
 * @property string $file_description
 * @property string $notes
 * @property string $date_added
 * @property string $date_updated
 *
 */
abstract class BaseCpnSoftwareUpdateLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'cpn_software_update_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'CpnSoftwareUpdateLog|CpnSoftwareUpdateLogs', $n);
    }

    public static function representingColumn()
    {
        return 'environment';
    }

    public function rules()
    {
        return array(
            array('environment', 'required'),
            array('username, file_name, environment, file_description', 'length', 'max' => 100),
            array('notes', 'length', 'max' => 500),
            array('date_added, date_updated', 'safe'),
            array('username, file_name, file_description, notes, date_added, date_updated', 'default',
                'setOnEmpty' => true, 'value' => null),
            array('id, username, file_name, environment, file_description, notes, date_added, date_updated',
                'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'username' => Yii::t('app', 'Username'),
            'file_name' => Yii::t('app', 'File Name'),
            'environment' => Yii::t('app', 'Environment'),
            'file_description' => Yii::t('app', 'File Description'),
            'notes' => Yii::t('app', 'Notes'),
            'date_added' => Yii::t('app', 'Date Added'),
            'date_updated' => Yii::t('app', 'Date Updated'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('username', $this->username, true);
        $criteria->compare('file_name', $this->file_name, true);
        $criteria->compare('environment', $this->environment, true);
        $criteria->compare('file_description', $this->file_description, true);
        $criteria->compare('notes', $this->notes, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_updated', $this->date_updated, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
